*** /Users/chet/src/bash/bash-5.2-patched/y.tab.c	2022-12-13 12:09:02.000000000 -0500
--- y.tab.c	2023-11-08 14:38:01.000000000 -0500
***************
*** 3176,3196 ****
  			    (yyval.command) = command_connect ((yyvsp[-2].command), (COMMAND *)NULL, '&');
  			}
! #line 3179 "y.tab.c"
      break;
  
!   case 142: /* list1: list1 AND_AND newline_list list1  */
! #line 1154 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = command_connect ((yyvsp[-3].command), (yyvsp[0].command), AND_AND); }
! #line 3185 "y.tab.c"
      break;
  
!   case 143: /* list1: list1 OR_OR newline_list list1  */
! #line 1156 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = command_connect ((yyvsp[-3].command), (yyvsp[0].command), OR_OR); }
! #line 3191 "y.tab.c"
      break;
  
!   case 144: /* list1: list1 '&' newline_list list1  */
! #line 1158 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  if ((yyvsp[-3].command)->type == cm_connection)
--- 3195,3215 ----
  			    (yyval.command) = command_connect ((yyvsp[-2].command), (COMMAND *)NULL, '&');
  			}
! #line 3198 "y.tab.c"
      break;
  
!   case 143: /* list1: list1 AND_AND newline_list list1  */
! #line 1169 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = command_connect ((yyvsp[-3].command), (yyvsp[0].command), AND_AND); }
! #line 3204 "y.tab.c"
      break;
  
!   case 144: /* list1: list1 OR_OR newline_list list1  */
! #line 1171 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = command_connect ((yyvsp[-3].command), (yyvsp[0].command), OR_OR); }
! #line 3210 "y.tab.c"
      break;
  
!   case 145: /* list1: list1 '&' newline_list list1  */
! #line 1173 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  if ((yyvsp[-3].command)->type == cm_connection)
***************
*** 3199,3213 ****
  			    (yyval.command) = command_connect ((yyvsp[-3].command), (yyvsp[0].command), '&');
  			}
! #line 3202 "y.tab.c"
      break;
  
!   case 145: /* list1: list1 ';' newline_list list1  */
! #line 1165 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = command_connect ((yyvsp[-3].command), (yyvsp[0].command), ';'); }
! #line 3208 "y.tab.c"
      break;
  
!   case 146: /* list1: list1 '\n' newline_list list1  */
! #line 1167 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  if (parser_state & PST_CMDSUBST)
--- 3218,3232 ----
  			    (yyval.command) = command_connect ((yyvsp[-3].command), (yyvsp[0].command), '&');
  			}
! #line 3221 "y.tab.c"
      break;
  
!   case 146: /* list1: list1 ';' newline_list list1  */
! #line 1180 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = command_connect ((yyvsp[-3].command), (yyvsp[0].command), ';'); }
! #line 3227 "y.tab.c"
      break;
  
!   case 147: /* list1: list1 '\n' newline_list list1  */
! #line 1182 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  if (parser_state & PST_CMDSUBST)
***************
*** 3216,3248 ****
  			    (yyval.command) = command_connect ((yyvsp[-3].command), (yyvsp[0].command), ';');
  			}
! #line 3219 "y.tab.c"
      break;
  
!   case 147: /* list1: pipeline_command  */
! #line 1174 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 3225 "y.tab.c"
      break;
  
!   case 150: /* list_terminator: '\n'  */
! #line 1182 "/usr/local/src/chet/src/bash/src/parse.y"
                  { (yyval.number) = '\n'; }
! #line 3231 "y.tab.c"
      break;
  
!   case 151: /* list_terminator: ';'  */
! #line 1184 "/usr/local/src/chet/src/bash/src/parse.y"
                  { (yyval.number) = ';'; }
! #line 3237 "y.tab.c"
      break;
  
!   case 152: /* list_terminator: yacc_EOF  */
! #line 1186 "/usr/local/src/chet/src/bash/src/parse.y"
                  { (yyval.number) = yacc_EOF; }
! #line 3243 "y.tab.c"
      break;
  
!   case 155: /* simple_list: simple_list1  */
! #line 1200 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = (yyvsp[0].command);
--- 3235,3267 ----
  			    (yyval.command) = command_connect ((yyvsp[-3].command), (yyvsp[0].command), ';');
  			}
! #line 3238 "y.tab.c"
      break;
  
!   case 148: /* list1: pipeline_command  */
! #line 1189 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 3244 "y.tab.c"
      break;
  
!   case 151: /* list_terminator: '\n'  */
! #line 1197 "/usr/local/src/chet/src/bash/src/parse.y"
                  { (yyval.number) = '\n'; }
! #line 3250 "y.tab.c"
      break;
  
!   case 152: /* list_terminator: ';'  */
! #line 1199 "/usr/local/src/chet/src/bash/src/parse.y"
                  { (yyval.number) = ';'; }
! #line 3256 "y.tab.c"
      break;
  
!   case 153: /* list_terminator: yacc_EOF  */
! #line 1201 "/usr/local/src/chet/src/bash/src/parse.y"
                  { (yyval.number) = yacc_EOF; }
! #line 3262 "y.tab.c"
      break;
  
!   case 156: /* simple_list: simple_list1  */
! #line 1215 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = (yyvsp[0].command);
***************
*** 3259,3267 ****
  			    }
  			}
! #line 3262 "y.tab.c"
      break;
  
!   case 156: /* simple_list: simple_list1 '&'  */
! #line 1215 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  if ((yyvsp[-1].command)->type == cm_connection)
--- 3278,3286 ----
  			    }
  			}
! #line 3281 "y.tab.c"
      break;
  
!   case 157: /* simple_list: simple_list1 '&'  */
! #line 1230 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  if ((yyvsp[-1].command)->type == cm_connection)
***************
*** 3281,3289 ****
  			    }
  			}
! #line 3284 "y.tab.c"
      break;
  
!   case 157: /* simple_list: simple_list1 ';'  */
! #line 1233 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = (yyvsp[-1].command);
--- 3300,3308 ----
  			    }
  			}
! #line 3303 "y.tab.c"
      break;
  
!   case 158: /* simple_list: simple_list1 ';'  */
! #line 1248 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = (yyvsp[-1].command);
***************
*** 3300,3320 ****
  			    }
  			}
! #line 3303 "y.tab.c"
      break;
  
!   case 158: /* simple_list1: simple_list1 AND_AND newline_list simple_list1  */
! #line 1250 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = command_connect ((yyvsp[-3].command), (yyvsp[0].command), AND_AND); }
! #line 3309 "y.tab.c"
      break;
  
!   case 159: /* simple_list1: simple_list1 OR_OR newline_list simple_list1  */
! #line 1252 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = command_connect ((yyvsp[-3].command), (yyvsp[0].command), OR_OR); }
! #line 3315 "y.tab.c"
      break;
  
!   case 160: /* simple_list1: simple_list1 '&' simple_list1  */
! #line 1254 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  if ((yyvsp[-2].command)->type == cm_connection)
--- 3319,3339 ----
  			    }
  			}
! #line 3322 "y.tab.c"
      break;
  
!   case 159: /* simple_list1: simple_list1 AND_AND newline_list simple_list1  */
! #line 1265 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = command_connect ((yyvsp[-3].command), (yyvsp[0].command), AND_AND); }
! #line 3328 "y.tab.c"
      break;
  
!   case 160: /* simple_list1: simple_list1 OR_OR newline_list simple_list1  */
! #line 1267 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = command_connect ((yyvsp[-3].command), (yyvsp[0].command), OR_OR); }
! #line 3334 "y.tab.c"
      break;
  
!   case 161: /* simple_list1: simple_list1 '&' simple_list1  */
! #line 1269 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  if ((yyvsp[-2].command)->type == cm_connection)
***************
*** 3323,3349 ****
  			    (yyval.command) = command_connect ((yyvsp[-2].command), (yyvsp[0].command), '&');
  			}
! #line 3326 "y.tab.c"
      break;
  
!   case 161: /* simple_list1: simple_list1 ';' simple_list1  */
! #line 1261 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = command_connect ((yyvsp[-2].command), (yyvsp[0].command), ';'); }
! #line 3332 "y.tab.c"
      break;
  
!   case 162: /* simple_list1: pipeline_command  */
! #line 1264 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 3338 "y.tab.c"
      break;
  
!   case 163: /* pipeline_command: pipeline  */
! #line 1268 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 3344 "y.tab.c"
      break;
  
!   case 164: /* pipeline_command: BANG pipeline_command  */
! #line 1270 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  if ((yyvsp[0].command))
--- 3342,3368 ----
  			    (yyval.command) = command_connect ((yyvsp[-2].command), (yyvsp[0].command), '&');
  			}
! #line 3345 "y.tab.c"
      break;
  
!   case 162: /* simple_list1: simple_list1 ';' simple_list1  */
! #line 1276 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = command_connect ((yyvsp[-2].command), (yyvsp[0].command), ';'); }
! #line 3351 "y.tab.c"
      break;
  
!   case 163: /* simple_list1: pipeline_command  */
! #line 1279 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 3357 "y.tab.c"
      break;
  
!   case 164: /* pipeline_command: pipeline  */
! #line 1283 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 3363 "y.tab.c"
      break;
  
!   case 165: /* pipeline_command: BANG pipeline_command  */
! #line 1285 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  if ((yyvsp[0].command))
***************
*** 3351,3359 ****
  			  (yyval.command) = (yyvsp[0].command);
  			}
! #line 3354 "y.tab.c"
      break;
  
!   case 165: /* pipeline_command: timespec pipeline_command  */
! #line 1276 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  if ((yyvsp[0].command))
--- 3370,3378 ----
  			  (yyval.command) = (yyvsp[0].command);
  			}
! #line 3373 "y.tab.c"
      break;
  
!   case 166: /* pipeline_command: timespec pipeline_command  */
! #line 1291 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  if ((yyvsp[0].command))
***************
*** 3361,3369 ****
  			  (yyval.command) = (yyvsp[0].command);
  			}
! #line 3364 "y.tab.c"
      break;
  
!   case 166: /* pipeline_command: timespec list_terminator  */
! #line 1282 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  ELEMENT x;
--- 3380,3388 ----
  			  (yyval.command) = (yyvsp[0].command);
  			}
! #line 3383 "y.tab.c"
      break;
  
!   case 167: /* pipeline_command: timespec list_terminator  */
! #line 1297 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  ELEMENT x;
***************
*** 3385,3393 ****
  			  parser_state &= ~PST_REDIRLIST;	/* make_simple_command sets this */
  			}
! #line 3388 "y.tab.c"
      break;
  
!   case 167: /* pipeline_command: BANG list_terminator  */
! #line 1302 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  ELEMENT x;
--- 3404,3412 ----
  			  parser_state &= ~PST_REDIRLIST;	/* make_simple_command sets this */
  			}
! #line 3407 "y.tab.c"
      break;
  
!   case 168: /* pipeline_command: BANG list_terminator  */
! #line 1317 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  ELEMENT x;
***************
*** 3410,3424 ****
  			  parser_state &= ~PST_REDIRLIST;	/* make_simple_command sets this */
  			}
! #line 3413 "y.tab.c"
      break;
  
!   case 168: /* pipeline: pipeline '|' newline_list pipeline  */
! #line 1325 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = command_connect ((yyvsp[-3].command), (yyvsp[0].command), '|'); }
! #line 3419 "y.tab.c"
      break;
  
!   case 169: /* pipeline: pipeline BAR_AND newline_list pipeline  */
! #line 1327 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  /* Make cmd1 |& cmd2 equivalent to cmd1 2>&1 | cmd2 */
--- 3429,3443 ----
  			  parser_state &= ~PST_REDIRLIST;	/* make_simple_command sets this */
  			}
! #line 3432 "y.tab.c"
      break;
  
!   case 169: /* pipeline: pipeline '|' newline_list pipeline  */
! #line 1340 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = command_connect ((yyvsp[-3].command), (yyvsp[0].command), '|'); }
! #line 3438 "y.tab.c"
      break;
  
!   case 170: /* pipeline: pipeline BAR_AND newline_list pipeline  */
! #line 1342 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  /* Make cmd1 |& cmd2 equivalent to cmd1 2>&1 | cmd2 */
***************
*** 3443,3481 ****
  			  (yyval.command) = command_connect ((yyvsp[-3].command), (yyvsp[0].command), '|');
  			}
! #line 3446 "y.tab.c"
      break;
  
!   case 170: /* pipeline: command  */
! #line 1350 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 3452 "y.tab.c"
      break;
  
!   case 171: /* timespec: TIME  */
! #line 1354 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.number) = CMD_TIME_PIPELINE; }
! #line 3458 "y.tab.c"
      break;
  
!   case 172: /* timespec: TIME TIMEOPT  */
! #line 1356 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.number) = CMD_TIME_PIPELINE|CMD_TIME_POSIX; }
! #line 3464 "y.tab.c"
      break;
  
!   case 173: /* timespec: TIME TIMEIGN  */
! #line 1358 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.number) = CMD_TIME_PIPELINE|CMD_TIME_POSIX; }
! #line 3470 "y.tab.c"
      break;
  
!   case 174: /* timespec: TIME TIMEOPT TIMEIGN  */
! #line 1360 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.number) = CMD_TIME_PIPELINE|CMD_TIME_POSIX; }
! #line 3476 "y.tab.c"
      break;
  
  
! #line 3480 "y.tab.c"
  
        default: break;
--- 3462,3500 ----
  			  (yyval.command) = command_connect ((yyvsp[-3].command), (yyvsp[0].command), '|');
  			}
! #line 3465 "y.tab.c"
      break;
  
!   case 171: /* pipeline: command  */
! #line 1365 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 3471 "y.tab.c"
      break;
  
!   case 172: /* timespec: TIME  */
! #line 1369 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.number) = CMD_TIME_PIPELINE; }
! #line 3477 "y.tab.c"
      break;
  
!   case 173: /* timespec: TIME TIMEOPT  */
! #line 1371 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.number) = CMD_TIME_PIPELINE|CMD_TIME_POSIX; }
! #line 3483 "y.tab.c"
      break;
  
!   case 174: /* timespec: TIME TIMEIGN  */
! #line 1373 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.number) = CMD_TIME_PIPELINE|CMD_TIME_POSIX; }
! #line 3489 "y.tab.c"
      break;
  
!   case 175: /* timespec: TIME TIMEOPT TIMEIGN  */
! #line 1375 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.number) = CMD_TIME_PIPELINE|CMD_TIME_POSIX; }
! #line 3495 "y.tab.c"
      break;
  
  
! #line 3499 "y.tab.c"
  
        default: break;
***************
*** 3670,3674 ****
  }
  
! #line 1362 "/usr/local/src/chet/src/bash/src/parse.y"
  
  
--- 3689,3693 ----
  }
  
! #line 1377 "/usr/local/src/chet/src/bash/src/parse.y"
  
  
***************
*** 5209,5215 ****
    if (current_token < 0)
  #if defined (YYERRCODE) && !defined (YYUNDEF)
!     current_token = YYERRCODE;
  #else
!     current_token = YYerror;
  #endif
  
--- 5228,5234 ----
    if (current_token < 0)
  #if defined (YYERRCODE) && !defined (YYUNDEF)
!     current_token = EOF_Reached ? YYEOF : YYERRCODE;
  #else
!     current_token = EOF_Reached ? YYEOF : YYUNDEF;
  #endif
  
***************
*** 6006,6009 ****
--- 6026,6030 ----
  	  parser_error (start_lineno, _("unexpected EOF while looking for matching `%c'"), close);
  	  EOF_Reached = 1;	/* XXX */
+ 	  parser_state |= PST_NOERROR;  /* avoid redundant error message */
  	  return (&matched_pair_error);
  	}
***************
*** 6468,6471 ****
--- 6487,6491 ----
  
        /* yyparse() has already called yyerror() and reset_parser() */
+       parser_state |= PST_NOERROR;
        return (&matched_pair_error);
      }

*** ../bash-5.2/patchlevel.h	2020-06-22 14:51:03.000000000 -0400
--- patchlevel.h	2020-10-01 11:01:28.000000000 -0400
***************
*** 26,30 ****
     looks for to find the patch level (for the sccs version string). */
  
! #define PATCHLEVEL 17
  
  #endif /* _PATCHLEVEL_H_ */
--- 26,30 ----
     looks for to find the patch level (for the sccs version string). */
  
! #define PATCHLEVEL 18
  
  #endif /* _PATCHLEVEL_H_ */
